@ECHO off

REM Check if environment properly setup
CALL INIT.BAT
IF "%ERROR_INSTALL%" == "1" GOTO end

REM Backup original files for uninstallation
ECHO Backing up V7.1.1.5 installation
MKDIR "%BACKUP_DIR%" 
FOR %%F in ("%INSTALLED_PATH%"\*) DO IF NOT EXIST "%BACKUP_DIR%\%%~nF%%~xF" COPY /Y "%INSTALL_PATH%\%%~nF%%~xF" "%BACKUP_DIR%"

REM copy the patched file into the public assemblies folder
ECHO installing 7.1.1 Fix Pack 5 Interim Fix 45                                                                                                                                                    
FOR %%F in ("%INSTALLED_PATH%"\*) DO copy /Y %%F "%INSTALL_PATH%"

if "%GAC_NOT_FOUND%" == "1" GOTO post_action

REM Check if the files installed are in the GAC                                                                                                         
FOR %%F in ("%INSTALLED_PATH%"\*) DO CALL :GAC_INSTALL "%%F"

:post_action
ECHO installation completed...
:end
GOTO :EOF

REM Function to install a file in the GAC if present 
:gac_install
FOR /F "usebackq" %%c IN (`gacutil -l %~n1 ^| find "= 1" /c`) do set installed=%%c
if "%installed%" == "0" goto :EOF
REM Replace file in the GAC
gacutil /if %1
GOTO :EOF

